/*		Q/C V3.2 Utility Library		*/
/*     Copyright (c) 1984 Quality Computer Systems	*/
/*			11/25/84			*/

#include "stdio.h"

/* convert an ASCII decimal string to integer */
atoi(s)
register char *s;
	{
	register sign;
	char *p;

	while (isspace(*s))
		++s;
	sign = 1;
	switch (*s) {
	case '-':
		sign = -1;
	case '+':
		++s;
		break;
		}
	p = s;
	return (sign * _atoi(&p));
	}
